<?php

/**
 * @file
 * Editor CKEditor hooks implemented by the Editor CKEditor Code Tag module.
 */

/**
 * Implements hook_editor_ckeditor_plugins().
 */
function editor_ckeditor_codetag_editor_ckeditor_plugins() {
  $path = drupal_get_path('module', 'editor_ckeditor_codetag');

  // Add the codetag plugin.
  $plugins['codeTag'] = array(
    'label' => t('Code Tag'),
    'plugin' => $path . '/lib/codeTag/plugin.js',
    'buttons' => array(
      'Code' => array(
        'label' => t('Wrap code'),
        'required_html' => array(
          array(
            'tags' => array('code'),
          ),
        ),
        'image' => drupal_get_path('module', 'editor_ckeditor_codetag') . '/lib/codeTag/icons/code.png',
      ),
    ),
  );

  return $plugins;
}
