CKEDITOR.plugins.add("codeTag", {
  icons: "code",
  init: function( editor ) {
    var codeStyle = new CKEDITOR.style({ element: "code" });
    editor.addCommand("wrapCode", new CKEDITOR.styleCommand( codeStyle ));
    editor.ui.addButton("Code", {
      id: "wrapCode",
      command: "wrapCode",
      type: "button",
      title: "Wrap code",
    });
    editor.attachStyleStateChange(codeStyle, function(a) {
      editor.getCommand("wrapCode").setState(a);
    });
  },
});
